Package com.salesforce.datacloud.jdbc.core

## Class HyperGrpcClientExecutor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.HyperGrpcClientExecutor

All Implemented Interfaces:
  `AutoCloseable`

    public class HyperGrpcClientExecutor
    extends Object
    implements AutoCloseable

### Nested Class Summary

Nested Classes
`static class` `HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder` `builder()`
`void` `close()`
`Iterator<ExecuteQueryResponse>` `executeAdaptiveQuery​(String sql)`
`Iterator<ExecuteQueryResponse>` `executeAsyncQuery​(String sql)`
`Iterator<ExecuteQueryResponse>` `executeQuery​(String sql)`
`QueryParam` `getAdditionalQueryParams()`
`Iterator<QueryInfo>` `getQueryInfo​(String queryId)`
`Iterator<QueryInfo>` `getQueryInfoStreaming​(String queryId)`
`Iterator<QueryResult>` `getQueryResult​(String queryId, long chunkId, boolean omitSchema)`
`static HyperGrpcClientExecutor` `of​(@NonNull io.grpc.ManagedChannelBuilder<?> builder, @NonNull Properties properties)`
`static HyperGrpcClientExecutor` `of​(HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder builder, QueryParam additionalQueryParams, int queryTimeout)`
`HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder` `toBuilder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static HyperGrpcClientExecutor of​(@NonNull
                                             @NonNull io.grpc.ManagedChannelBuilder<?> builder,
                                             @NonNull
                                             @NonNull Properties properties)
                                      throws SQLException

Throws:
  `SQLException`

#### of

    public static HyperGrpcClientExecutor of​(HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder builder,
                                             QueryParam additionalQueryParams,
                                             int queryTimeout)

#### executeAdaptiveQuery

    public Iterator<ExecuteQueryResponse> executeAdaptiveQuery​(String sql)
                                                        throws SQLException

Throws:
  `SQLException`

#### executeAsyncQuery

    public Iterator<ExecuteQueryResponse> executeAsyncQuery​(String sql)
                                                     throws SQLException

Throws:
  `SQLException`

#### executeQuery

    public Iterator<ExecuteQueryResponse> executeQuery​(String sql)
                                                throws SQLException

Throws:
  `SQLException`

#### getQueryInfo

    public Iterator<QueryInfo> getQueryInfo​(String queryId)

#### getQueryInfoStreaming

    public Iterator<QueryInfo> getQueryInfoStreaming​(String queryId)

#### getQueryResult

    public Iterator<QueryResult> getQueryResult​(String queryId,
                                                long chunkId,
                                                boolean omitSchema)

#### close

    public void close()
               throws Exception

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `Exception`

#### builder

    public static HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder builder()

#### toBuilder

    public HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder toBuilder()

#### getAdditionalQueryParams

    public QueryParam getAdditionalQueryParams()